# module UUID::Namespace

##
Overview

Namespaces as defined per in the RFC 4122 Appendix C.

They are used with the functions `v3` amd `v5` to generate a `UUID` based on a `name`.

##
Defined in:

uuid.cr

##
Constant Summary

DNS = `UUID.new("6ba7b810-9dad-11d1-80b4-00c04fd430c8")`

  A UUID is generated using the provided `name`, which is assumed to be a fully qualified domain name.

OID = `UUID.new("6ba7b812-9dad-11d1-80b4-00c04fd430c8")`

  A UUID is generated using the provided `name`, which is assumed to be an ISO OID.

URL = `UUID.new("6ba7b811-9dad-11d1-80b4-00c04fd430c8")`

  A UUID is generated using the provided `name`, which is assumed to be a URL.

X500 = `UUID.new("6ba7b814-9dad-11d1-80b4-00c04fd430c8")`

  A UUID is generated using the provided `name`, which is assumed to be a X.500 DN in DER or a text output format.